 .sekcja-container {
    display: flex;
    gap: 80px;
    align-items: center;
    padding: 50px;
    margin-top: 50px;
}
.sekcja12 > .section12Image {
    width: calc(((100% - 80px)/12) * 5);
    gap: 20px;
    display: flex;
    flex-direction: column;
    padding-right: 50px;
}
.sekcja12 > .section12Desc {
    width: calc(((100% - 80px)/12) * 7);
    gap: 20px;
    display: flex;
    flex-direction: column;
}

.section12Image {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 1.2s ease, transform 1.2s ease;
    will-change: opacity, transform;
  }
  
  .section12Image.animate-in {
    opacity: 1;
    transform: translateY(0);
  }
  
  .section12Image.left.animate-in {
    transform: translate(0, 0);
    animation: slideInLeft 1.2s ease forwards;
  }
  
  .section12Image.right.animate-in {
    transform: translate(0, 0);
    animation: slideInRight 1.2s ease forwards;
  }
  
  @keyframes slideInLeft {
    from {
      opacity: 0;
      transform: translate(-50px, 50px);
    }
    to {
      opacity: 1;
      transform: translate(0, 0);
    }
  }
  
  @keyframes slideInRight {
    from {
      opacity: 0;
      transform: translate(50px, 50px);
    }
    to {
      opacity: 1;
      transform: translate(0, 0);
    }
  }


.sekcja12 .section12Image img{
    /* width: 610px;
    height: 457px;
    border-radius: 8px;
    object-fit: cover; */

/*     
    content:"Img"; */
    width: 100%;
    height: auto;
    border-radius: 50px;
    object-fit: cover;
    position: relative;  

    z-index: 1;
}
.sekcja12 .section12Image picture {
    padding: 0 50px 50px 0;
    position: relative;
}
 .sekcja12 .section12Image picture::after{ 
    content: "";
    width: calc(100% - 50px);
    height: calc(100% - 65px);
    border-radius: 50px;
    object-fit: cover;
    display: block;
    position: absolute;
    top: 33px;
    left: 49px;
    bottom: 0px;
    right: 0px;
    z-index: 0;
    transform: rotate(7deg);
} 
.sekcja12 .section12Image picture.landscape::after{ 
    top: -26px;
    left: 26px;
}

.sekcja12.themebialy .section12Image picture::after { 
    opacity: 0.2;
    background: var(--Color-3, #79BFB9);
    }
.sekcja12.themezielony .section12Image picture::after { 
opacity: 0.2;
background: var(--Color-3, #79BFB9);
}

.sekcja12.themeniebieski .section12Image picture::after {
    
    opacity: 0.2;
    background: var(--Color-2, #234EAE); 
}

.sekcja12.themeczerwony .section12Image picture::after {
    opacity: 0.2;
background: var(--Color-4, #F39F5F);
}
.sekcja12 .section12Desc .nadpis {
    color: var(--Color-Gray-Gray-900, #232323);
    font-family: Quicksand;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%; /* 25.2px */
    letter-spacing: 0.36px;
}
.sekcja12 .section12Desc .titleTitle {
    position: relative;
    color: var(--Color-Base-White, #FFF); 
font-size: 48px;
font-style: normal;
font-weight: 300;
line-height: 110%;
letter-spacing: 2px; 
margin-top: 0px;
margin-bottom: 0px;
}
.sekcja12 .section12Desc ul {
    margin-top: 0px;
}
 
.sekcja12 .section12Desc .opis {
    color: var(--Color-Gray-Gray-800, #393939);
    font-family: Quicksand;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 180% !important; /* 28.8px */
}
.sekcja12 .section12Desc .wp-block-buttons  {
    display: flex;
flex-direction: row;
justify-content: center;
align-items: flex-start;
gap: 10px;
flex: 1 0 0;
margin-top: 20px;
} 
.sekcja12 .section12Desc .wp-block-buttons.haveArrow {
    display: flex;
flex-direction: column;
justify-content: center;
align-items: flex-start;
gap: 50px;
flex: 1 0 0;
margin-top: 20px;
} 

.sekcja12 ul {
    list-style: none;
    padding-left: 0;
  }
  
  .sekcja12 ul li {
    position: relative;
    padding-left: 32px; /* dostosuj do rozmiaru SVG + odstęp */
    margin-bottom: 16px;
    color: var(--Color-2, #234EAE);
    leading-trim: both;
    text-edge: cap;
    font-family: Quicksand;
    font-size: 15px;
    font-style: normal;
    font-weight: 700;
    line-height: 160% !important; /* 24px */
    letter-spacing: 0.3px;
  }
  
  .sekcja12 ul li::before {
    content: '';
    position: absolute;
    left: 0;
    top: 2px;
    width: 20px;
    height: 20px;
    background-image: url('data:image/svg+xml,<svg width="20" height="21" viewBox="0 0 20 21" fill="none" xmlns="http://www.w3.org/2000/svg"><circle cx="10" cy="10.9685" r="10" fill="%23F9816A"/><path d="M6 11.1224L8.92308 14.0454L14 8.96851" stroke="white" stroke-width="2" stroke-linecap="round"/></svg>');
    background-repeat: no-repeat;
    background-size: contain;
    display: block;
  }


.sekcja12.themezielony {
    border-radius: 30px;
background: #F8FCFB;
}

.sekcja12.themeniebieski {
    border-radius: 30px;
    background: rgba(35, 109, 174, 0.05);
}

.sekcja12.themeczerwony {
    border-radius: 30px;
    background: rgba(243, 159, 95, 0.05);
}
.sekcja12.themezielony .titleTitle {
    color: var(--Color-3, #79BFB9);
    font-family: Mali;
    font-size: 36px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%; /* 36px */
}

.sekcja12.themeniebieski .titleTitle {
    color: var(--Color, #F9816A);
    font-family: Mali;
    font-size: 36px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%; /* 36px */
}

.sekcja12.themeczerwony .titleTitle {
    color: var(--Color-4, #F39F5F);
    font-family: Mali;
    font-size: 36px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%; /* 36px */
}


.sekcja12.themebialy .titleTitle {
    color: var(--Color-4, #F39F5F);
    font-family: Mali;
    font-size: 36px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%; /* 36px */
}

.sekcja12  .section12Desc .wp-block-buttons .wp-block-button a{
    display: flex;
padding: 24px 40px;
justify-content: center;
align-items: center;
gap: 10px;
    border-radius: 40px; 
font-family: Mali;
font-size: 18px;
font-style: normal;
font-weight: 700;
line-height: 100%; /* 18px */
transition: all 0.5s ease-out allow-discrete;
position: relative;
}
.sekcja12  .section12Desc .wp-block-buttons.haveArrow .wp-block-button a::after {
    content: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="146" height="31" viewBox="0 0 146 31" fill="none"><path d="M0.70752 8.92127C4.06946 16.828 8.63792 23.9009 14.5722 30.1741C16.6531 32.3736 20.0353 29.5742 18.6628 27.0189C18.3679 26.4698 17.8291 25.8191 17.1851 25.3447C15.6601 23.6739 14.2028 21.9251 12.8234 20.112C24.1463 26.7715 37.2348 30.374 50.3708 30.5299C57.498 30.6147 65.0218 29.8691 71.8101 27.6086C73.4199 27.0731 75.0703 26.3851 76.6463 25.5379C77.5782 25.9106 78.5306 26.2157 79.4897 26.4495C86.6508 28.2084 94.588 27.6526 101.813 26.5647C118.386 24.0704 133.86 16.3332 145.573 4.36298C146.376 3.54283 145.153 2.32615 144.316 3.10564C134.836 11.9172 122.971 18.4818 110.479 21.8099C104.213 23.4773 97.7567 24.3618 91.2734 24.3822C87.7048 24.3923 83.7802 24.2263 80.2082 23.2028C82.8754 21.0575 84.9156 18.2751 85.4782 14.764C86.3322 9.45336 83.9599 2.82435 78.3035 1.27893C71.6169 -0.54777 65.4522 6.01007 65.8826 12.4967C66.1673 16.8042 68.5328 20.3119 71.7897 22.8029C71.0611 23.0808 70.3358 23.3214 69.6444 23.5315C63.6119 25.3413 57.21 25.9717 50.9334 25.8361C36.4181 25.5243 22.2315 20.7017 10.5256 12.1239C12.898 12.7238 15.2669 13.3203 17.6427 13.8998C20.2421 14.5336 22.8347 15.2148 25.4477 15.774C26.6033 16.0214 27.7658 16.2925 28.935 16.4789C29.4637 16.5636 30.0704 16.689 30.6024 16.5602C31.2938 16.3908 31.5277 16.0383 32.3681 15.9739C32.5139 15.9637 32.5579 15.7909 32.4393 15.7062C31.7107 15.1978 31.8394 14.8352 31.3345 14.4014C30.9142 14.0421 30.4262 13.8252 29.9246 13.6151C28.7757 13.1305 27.5625 12.778 26.3831 12.3849C23.848 11.5376 21.2656 10.8191 18.7034 10.0532C13.5792 8.52136 8.4312 7.05729 3.29337 5.57288C1.18538 4.96285 -0.0143585 7.20979 0.714294 8.92805L0.70752 8.92127ZM69.902 11.114C70.2985 8.63659 72.1693 6.1219 74.6738 5.49493C79.3338 4.32231 81.6451 10.0363 81.0995 13.771C80.6216 17.055 78.2459 19.4172 75.4059 21.0846C74.4942 20.4949 73.6402 19.8069 72.8641 18.9936C70.9086 16.9432 69.4377 14.0184 69.902 11.114ZM7.53647 12.1612C7.35686 11.8528 7.18401 11.5376 7.00778 11.2258C7.51953 11.358 8.03467 11.4868 8.54642 11.619C8.17363 11.7071 7.83133 11.9003 7.53647 12.1612Z" fill="%23234EAE"/></svg>');
    width: 145.335px; 
height: 30px;
aspect-ratio: 145.33/30.00;
position: absolute;
right: -165px;
bottom: 19px;
fill: var(--Color-2, #234EAE);
}

.sekcja12.themebialy .section12Desc .wp-block-buttons .wp-block-button a{ 
    background: var(--Color-3, #79BFB9);
    color: var(--Color-Base-White, #FFF); 
}
.sekcja12.themebialy .section12Desc .wp-block-buttons .wp-block-button:hover a{
    border-radius: 40px;
    background: #FFD7CF;
    color: var(--Color, #F9816A);transition: all 0.5s ease-out allow-discrete;
}
.sekcja12.themezielony .section12Desc .wp-block-buttons .wp-block-button a{ 
    background: var(--Color-3, #79BFB9);
    color: var(--Color-Base-White, #FFF); 
}
.sekcja12.themezielony .section12Desc .wp-block-buttons .wp-block-button:hover a{
    border-radius: 40px;
    background: #FFD7CF;
    color: var(--Color, #F9816A);transition: all 0.5s ease-out allow-discrete;
}
.sekcja12.themeniebieski .section12Desc .wp-block-buttons .wp-block-button a{ 
    border-radius: 40px;
    background: var(--Color, #F9816A);
}
.sekcja12.themeniebieski .section12Desc .wp-block-buttons .wp-block-button:hover a{
    border-radius: 40px;
    background: #FFD7CF;
    color: var(--Color, #F9816A);transition: all 0.5s ease-out allow-discrete;
}
.sekcja12.themeczerwony .section12Desc .wp-block-buttons .wp-block-button a{ 
    border-radius: 40px;
    background: var(--Color-4, #F39F5F);
}
.sekcja12.themeczerwony .section12Desc .wp-block-buttons .wp-block-button:hover a{
    border-radius: 40px;
    background: #FFD7CF;
    color: var(--Color, #F9816A);transition: all 0.5s ease-out allow-discrete;
}


@media screen and (max-width: 768px) {
    .sekcja12 .section12Desc .titleTitle { 
    font-size: 22px; 
    line-height: 130% !important;
    }
    .sekcja-container { 
        flex-direction: column;
    }
    .sekcja12 > div {
        width: calc(100% - 32px);
        gap: 20px;
        display: flex;
        padding: 0px 16px ;
        flex-direction: column;
    }
    .sekcja12 .section12Image {
        order: 1;
    }
    .sekcja12 .section12Image img{
        max-width:   100% ;
        height: auto;
        object-fit: cover;
    } 
    .sekcja12 .section12Desc {
        order: 2;
    }
    .sekcja-container { 
        gap: 40px; 
    }
}

@media screen and (max-width: 479px) {
    .sekcja-container {
        display: flex;
        gap: 20px;
        align-items: center;
        padding: 20px;
        margin-top: 30px;
        margin-left: 10px !important;
        margin-right: 10px !important;
    }
    .sekcja-container:not(.alignleft):not(.alignright):not(.alignfull) {

        margin-left: 10px !important;
        margin-right: 10px !important;
    }
    .sekcja12 > .section12Image {
        width: 100%; 
    }
    
    .sekcja12 > .section12Desc {
        width: 100%; 
    }
    .sekcja12 .section12Desc .wp-block-buttons.haveArrow .wp-block-button a::after {
        display: none;
    }
    .sekcja12 .section12Desc .titleTitle {
        font-size: 22px;
    }
}